Skip to Content

Auths

11 endpoints

POST /api/v5/artifacts/auths/get

Get Auth

Get auth information using the canonical shared auth operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ auth_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` auth_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` names?: `AuthNameSection` | `null` descriptions?: `AuthDescriptionSection` | `null` flags?: `AuthFlagSection` | `null` protocols?: `AuthProtocolSection` | `null` slugs?: `AuthSlugSection` | `null` items?: `AuthItemSection` | `null` }

POST /api/v5/artifacts/auths/search

Search Auth

Search auths — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_department_ids?: `string`[] | `null` department_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` auths?: `ListAuthApiAuth`[] | `null` department_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` }

POST /api/v5/artifacts/auths/create

Create Auth

Create auths using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ auths: `CreateAuthItem`[] }

Response:

{ results: `AuthResultItem`[] }

POST /api/v5/artifacts/auths/update

Update Auth

Update auths using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ auths: `UpdateAuthItem`[] }

Response:

{ results: `AuthResultItem`[] }

POST /api/v5/artifacts/auths/duplicate

Duplicate Auth

Duplicate an auth — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ auth_id: `string` }

Response:

{ success: `boolean` auth_id: `string` message: `string` }

POST /api/v5/artifacts/auths/delete

Delete Auth

Bulk delete auths — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ auth_ids: `string`[] }

Response:

{ results: `DeleteAuthResult`[] }

PATCH /api/v5/artifacts/auths/draft

Patch Auth Draft

Patch auth draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_id?: `string` | `null` department_ids?: `string`[] | `null` protocol_ids?: `string`[] | `null` slug_ids?: `string`[] | `null` item_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `AuthDraftFormState` | `null` }

POST /api/v5/artifacts/auths/drafts

Get Auth Drafts

List auth drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetAuthDraftResponse`[] | `null` }

POST /api/v5/artifacts/auths/docs

Get Auth Docs Endpoint

Get composed documentation for the auth artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/auths/export

Export Auths

Export all auths as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ auth_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/auths/refresh

Auth Refresh

Refresh auth materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

Last updated on